logo
ProjectProject_envLogs
GET
/project/{project_env}/logs

Authorization

x-api-key<token>

HMAC-SHA256 signed key produced by the apikee engine. Format: <base62-id>.<base62-claims>.<base62-hmac> The first 12 characters are the keyPrefix (safe for logging).

In: header

Path Parameters

project_env*string

Query Parameters

page?integer
Default1
limit?integer
Default10
Rangevalue <= 100
methodPath?string
clientId?string
status?string
Value in"success" | "error"

Response Body

application/json

curl -X GET "https://apikee.dev/api/v1/project/string/logs"
{
  "data": [
    {
      "id": "string",
      "clientId": "string",
      "endpointId": "string",
      "status": "success",
      "durationMs": 0,
      "timestamp": "2019-08-24T14:15:22Z",
      "method_path": "string",
      "name": "string"
    }
  ],
  "pagination": {
    "total": 0,
    "page": 0,
    "limit": 0,
    "pages": 0
  }
}